How to install pymssql module in Python 3.6?

How to install pymssql module in Python 3.6?

I have been through a couple of documentations involving FreeTDS, Wheel, git and github but nothing was working on my Windows 10 PC with Python 3.6 but I need to install it. I'm working on a project and I'm most comfortable with mssql which is already installed in my pc.


this seems to work from

export PYMSSQL_BUILD_WITH_BUNDLED_FREETDS=1

pip install pymssql

How to install pymssql module in Python 3.6?, this seems to work from. export PYMSSQL_BUILD_WITH_BUNDLED_FREETDS​=1. pip install pymssql. $ pip install pymssql Collecting pymssql Using cached pymssql-2.1.3.tar.gz Installing collected packages: pymssql Running setup.py install for pymssql done Successfully installed pymssql-2.1.3 Also


Remember to install FreeTDS first.

Ubuntu/Debian:

sudo apt-get install freetds-dev

Mac OS X with Homebrew:

brew install freetds

Finally:

pip install pymssql

pymssql · PyPI, DB-API interface to Microsoft SQL Server for Python. pip install pymssql==2.0.1​. Copy PIP https://groups.google.com/forum/?fromgroups#!forum/pymssql  Once downloaded run the pkg to install Python runtime. Open terminal. Install Homebrew package manager > ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)" Install FreeTDS module > brew install FreeTDS Install pymssql module > sudo -H pip install pymssql Related Articles


As the site pymssql_documentation page states that the module is deprecated,

we can use pip install "pymssql<3.0". It works on python 3.0 and above.

I think they should change it in the main copy area as well. as of 12/17/2019 it is still showing pip install pymssql, which has been updated on Nov 16 2019.

Wheels for Python 3.6 · Issue #473 · pymssql/pymssql · GitHub, The problem is that one needs to have freeTDS library and headers installed before, which is next to impossible on Windows (no installer, only  Add ability to set TDS protocol version from pymssql when connecting to SQL Server. For the remaining pymssql 2.1.x releases its default value will be 7.1 (GH-323) Add Dockerfile and a Docker image and instructions on how to use it (GH-258). This could be a convenient way to use pymssql without having to build stuff.


FreeTDS, Use the FreeTDS installation provided by the packages/ports system. architecture ( x86 vs. x86_64 ) and your Python version ( vs2008 for Python 2.7, vs2010 for Python pymssql uses FreeTDS package to connect to SQL Server instances. $ python3 -m pip install PyMySQL To use “sha256_password” or “caching_sha2_password” for authenticate, you need to install additional dependency: $ python3 -m pip install PyMySQL[rsa]


[PDF] pymssql Documentation, Generally, you will want to install pymssql with: source distribution from the Python Package Index (PyPI), build and install pymssql. 1 (vs2008 for Python 2.7, vs2010 for Python 3.3 and 3.4, vs2015 for Python 3.5 and 3.6). Add ability to set TDS protocol version from pymssql when connecting to SQL Server. For the remaining pymssql 2.1.x releases its default value will be 7.1 (GH-323) Add Dockerfile and a Docker image and instructions on how to use it (GH-258). This could be a convenient way to use pymssql without having to build stuff.


Error Installing pymssql, modulenotfounderror: no module named 'pymssql' I am using Python 3.6 and VS Code as an IDE, but I also have VS 2015 Express and VS 2017 Build Tools installed on my machine. PS C:\path\to\project> python -m pip install pymssql -t . when i run this command pip install pymssql in windows in virtualenv for python 3.8 i get this error: ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output. how can i install pymssql in windows.